
class ProductCharacteristics {
  String productId;
  String key;
  String value;
  String hexColor;
  int type;
  bool displayOnCatalog;
  int order;
  bool isDeleted;
  String id;
  String clientId;
  bool isActive;
  String createDate;
  String lastUpdate;

  ProductCharacteristics({this.productId,
    this.key,
    this.value,
    this.hexColor,
    this.type,
    this.displayOnCatalog,
    this.order,
    this.isDeleted,
    this.id,
    this.clientId,
    this.isActive,
    this.createDate,
    this.lastUpdate});

  ProductCharacteristics.fromJson(Map<String, dynamic> json) {
    productId = json['productId'];
    key = json['key'];
    value = json['value'];
    hexColor = json['hexColor'];
    type = json['type'];
    displayOnCatalog = json['displayOnCatalog'];
    order = json['order'];
    isDeleted = json['isDeleted'];
    id = json['id'];
    clientId = json['clientId'];
    isActive = json['isActive'];
    createDate = json['createDate'];
    lastUpdate = json['lastUpdate'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['productId'] = this.productId;
    data['key'] = this.key;
    data['value'] = this.value;
    data['hexColor'] = this.hexColor;
    data['type'] = this.type;
    data['displayOnCatalog'] = this.displayOnCatalog;
    data['order'] = this.order;
    data['isDeleted'] = this.isDeleted;
    data['id'] = this.id;
    data['clientId'] = this.clientId;
    data['isActive'] = this.isActive;
    data['createDate'] = this.createDate;
    data['lastUpdate'] = this.lastUpdate;
    return data;
  }
}